com.sun.jna.platform.win32

## Class WinDef.UINT

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.UINT

All Implemented Interfaces:
  NativeMapped, java.io.Serializable, java.lang.Comparable<WinDef.UINT>

Enclosing interface:
  WinDef

    public static class WinDef.UINT
    extends IntegerType
    implements java.lang.Comparable<WinDef.UINT>

32-bit unsigned int.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` The Constant SIZE.

### Constructor Summary

Constructors
Constructor and Description
`UINT()` Instantiates a new UINT.
`UINT(long value)` Instantiates a new UINT.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(WinDef.UINT other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

The Constant SIZE.

See Also:
  Constant Field Values

### Constructor Detail

#### UINT

    public UINT()

Instantiates a new UINT.

#### UINT

    public UINT(long value)

Instantiates a new UINT.

Parameters:
  `value` - the value

### Method Detail

#### compareTo

    public int compareTo(WinDef.UINT other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<WinDef.UINT>`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.